SPA Authentication

SPA Token Refresh - Get new access token

Exchanges a valid refresh token for a new access token.

POST/api/spa/auth/refresh

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Request Body

application/json
required

The new SpaRefresh resource

{
  "refreshToken": "a1b2c3d4e5f6..."
}

Response

201application/json

SpaRefresh resource created

accessToken
string

New JWT access token

Example: "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

expiresIn
integer

Access token lifetime in seconds

Example: 3600

isDelegated
boolean

Whether the refreshed token belongs to a delegated session

Available options: truefalse

Example: false

delegationId
string

Delegation session ID if delegated authentication is active

Example: "f53f4d5f-3216-486f-b1f1-3fc2a8e46020"